Skip to main content
POST
/
management
/
api_users
/
{userId}
/
pairing_token
TypeScript
const response: Promise<FireblocksResponse<IssueApiUserPairingTokenResponse>> = fireblocks.apiUser.issueApiUserPairingToken(apiUserApiIssueApiUserPairingTokenRequest);
{
  "id": "<string>",
  "enabled": true,
  "pairingToken": "access-token-for-pairing",
  "name": "John Doe"
}

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

userId
string
required

The ID of the api user

Response

Pairing token issued

id
string
required

The unique identifier of the user

role
enum<string>
required

The role of the user

Available options:
OWNER,
ADMIN,
SIGNER,
COLLATERALS_SIGNER,
EDITOR,
APPROVER,
VIEWER,
NON_SIGNING_ADMIN,
AUDITOR,
NCW_ADMIN,
NCW_SIGNER,
SECURITY_ADMIN,
SECURITY_AUDITOR
enabled
boolean
required

Whether the user is enabled

pairingToken
string
required

The device pairing token issued for the given user

Example:

"access-token-for-pairing"

name
string

The name of the user

Example:

"John Doe"

userType
enum<string>

The type of the user

Available options:
API,
CONSOLE
status
enum<string>

The status of the user

Available options:
PENDING_ACTIVATION,
PENDING_DEVICE_PAIRING,
PENDING_DEVICE_SETUP,
READY